> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GetFamilyStat

> Retrieves a family stat configuration.



## OpenAPI

````yaml /openapi.json get /api/v1/family_stats/{familyStatId}
openapi: 3.0.0
info:
  title: Sift API
  version: '1.0'
servers:
  - url: https://api.siftstack.com
    description: Production
  - url: https://gov.api.siftstack.com
    description: Gov
security:
  - BearerAuth: []
tags:
  - name: TagService
    description: Service to programmatically interact with [tags](/glossary#tag).
  - name: CampaignService
  - name: ProtobufDescriptorService
    description: >-
      Service to programmatically interact with protobuf descriptors used for
      protobuf ingestion.
    externalDocs:
      description: Read more about what protobuf ingestion.
      url: /ingestion/protobuf_ingestion
  - name: AnnotationLogService
    description: >-
      Service to programmatically interact with [annotation
      logs](/glossary#annotation).
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: MetadataService
  - name: DlqErrorsService
  - name: RuleService
    description: Service to programmatically interact with rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: WebhookService
  - name: UserDefinedFunctionService
  - name: ReportTemplateService
  - name: RemoteFileService
  - name: PingService
  - name: FamilyService
    description: Service to programmatically interact with family configurations.
  - name: ExternalSyncService
  - name: ReportService
  - name: NotificationService
    description: Service to programmatically interact with in-app notifications.
  - name: ChannelSchemaService
    description: Service to programmatically interact with channel schemas
  - name: IngestService
  - name: UserService
    description: Service to programmatically interact with user objects.
  - name: TestReportService
    description: Service to manage test reports
  - name: PrincipalAttributeService
    description: Service to manage ABAC principal attributes.
  - name: ChannelService
    description: Service to programmatically interact with [channels](/glossary#channel).
    externalDocs:
      description: Read more about what channels are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265453943
  - name: DataImportService
  - name: ExportService
  - name: PolicyService
    description: Service to manage ABAC policies.
  - name: ApiKeyService
  - name: CommentService
    description: >-
      Service to programmatically interact with comments attached to resources
      in the platform.
  - name: JobService
  - name: UserGroupService
  - name: ResourceAttributeService
    description: Service to manage ABAC resource attributes (entity attributes).
  - name: AutomationService
  - name: ViewService
    description: Service to programmatically interact with views.
    externalDocs:
      description: Read more about what views are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/298188809
  - name: UnitService
  - name: DocsService
  - name: RoleService
  - name: SavedSearchService
  - name: RuleEvaluationService
    description: Service to evaluate rules.
    externalDocs:
      description: Read more about what rules are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421102
  - name: RunService
    description: Service to programmatically interact with [runs](/glossary#run).
    externalDocs:
      description: Read more about what runs are.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265454053
  - name: PanelConfigurationService
    description: Service to programmatically interact with panel configurations.
  - name: IngestionConfigService
    description: >-
      Service to programmatically interact with [ingestion
      configs](/glossary#ingestion-config).
    externalDocs:
      description: Read more about what ingestion configs are.
      url: /ingestion/creating-amend-ingestion-config
  - name: CalculatedChannelService
  - name: CalculatedChannelsService
    description: Service to programmatically interact with calculated channels.
    externalDocs:
      description: Read more about calculated channels.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265421153
  - name: AnnotationService
    description: Service to programmatically interact with annotations.
    externalDocs:
      description: Read more about annotations.
      url: >-
        https://customer.support.siftstack.com/servicedesk/customer/portal/2/article/265486685
  - name: DataService
    description: Service to query data
  - name: MeService
  - name: AssetService
    description: Service to programmatically interact with [assets](/glossary#asset).
    externalDocs:
      description: Read more about what assets are.
      url: /data-model
paths:
  /api/v1/family_stats/{familyStatId}:
    get:
      tags:
        - FamilyService
      summary: GetFamilyStat
      description: Retrieves a family stat configuration.
      operationId: FamilyService_GetFamilyStat
      parameters:
        - name: familyStatId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1GetFamilyStatResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1GetFamilyStatResponse:
      type: object
      properties:
        familyStatDetails:
          $ref: '#/components/schemas/v1FamilyStatDetails'
      required:
        - familyStatDetails
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1FamilyStatDetails:
      type: object
      properties:
        familyStat:
          $ref: '#/components/schemas/v1FamilyStat'
        familyStatExpressions:
          type: array
          items:
            $ref: '#/components/schemas/v1FamilyStatExpression'
        familyStatChannels:
          type: array
          items:
            $ref: '#/components/schemas/v1FamilyStatChannel'
        familyStatRanges:
          type: array
          items:
            $ref: '#/components/schemas/v1FamilyStatRange'
      required:
        - familyStat
        - familyStatExpressions
        - familyStatRanges
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
          description: >-
            A URL/resource name that uniquely identifies the type of the
            serialized

            protocol buffer message. This string must contain at least

            one "/" character. The last segment of the URL's path must represent

            the fully qualified name of the type (as in

            `path/google.protobuf.Duration`). The name should be in a canonical
            form

            (e.g., leading "." is not accepted).


            In practice, teams usually precompile into the binary all types that
            they

            expect it to use in the context of Any. However, for URLs which use
            the

            scheme `http`, `https`, or no scheme, one can optionally set up a
            type

            server that maps type URLs to message definitions as follows:


            * If no scheme is provided, `https` is assumed.

            * An HTTP GET on the URL must yield a [google.protobuf.Type][]
              value in binary format, or produce an error.
            * Applications are allowed to cache lookup results based on the
              URL, or have them precompiled into a binary to avoid any
              lookup. Therefore, binary compatibility needs to be preserved
              on changes to types. (Use versioned type names to manage
              breaking changes.)

            Note: this functionality is not currently available in the official

            protobuf release, and it is not used for type URLs beginning with

            type.googleapis.com. As of May 2023, there are no widely used type
            server

            implementations and no plans to implement one.


            Schemes other than `http`, `https` (or the empty scheme) might be

            used with implementation specific semantics.
      additionalProperties: {}
      description: >-
        `Any` contains an arbitrary serialized protocol buffer message along
        with a

        URL that describes the type of the serialized message.


        Protobuf library provides support to pack/unpack Any values in the form

        of utility functions or additional generated methods of the Any type.


        Example 1: Pack and unpack a message in C++.

            Foo foo = ...;
            Any any;
            any.PackFrom(foo);
            ...
            if (any.UnpackTo(&foo)) {
              ...
            }

        Example 2: Pack and unpack a message in Java.

            Foo foo = ...;
            Any any = Any.pack(foo);
            ...
            if (any.is(Foo.class)) {
              foo = any.unpack(Foo.class);
            }
            // or ...
            if (any.isSameTypeAs(Foo.getDefaultInstance())) {
              foo = any.unpack(Foo.getDefaultInstance());
            }

         Example 3: Pack and unpack a message in Python.

            foo = Foo(...)
            any = Any()
            any.Pack(foo)
            ...
            if any.Is(Foo.DESCRIPTOR):
              any.Unpack(foo)
              ...

         Example 4: Pack and unpack a message in Go

             foo := &pb.Foo{...}
             any, err := anypb.New(foo)
             if err != nil {
               ...
             }
             ...
             foo := &pb.Foo{}
             if err := any.UnmarshalTo(foo); err != nil {
               ...
             }

        The pack methods provided by protobuf library will by default use

        'type.googleapis.com/full.type.name' as the type URL and the unpack

        methods only use the fully qualified type name after the last '/'

        in the type URL, for example "foo.bar.com/x/y.z" will yield type

        name "y.z".


        JSON

        ====

        The JSON representation of an `Any` value uses the regular

        representation of the deserialized, embedded message, with an

        additional field `@type` which contains the type URL. Example:

            package google.profile;
            message Person {
              string first_name = 1;
              string last_name = 2;
            }

            {
              "@type": "type.googleapis.com/google.profile.Person",
              "firstName": <string>,
              "lastName": <string>
            }

        If the embedded message type is well-known and has a custom JSON

        representation, that representation will be embedded adding a field

        `value` which holds the custom JSON in addition to the `@type`

        field. Example (for message [google.protobuf.Duration][]):

            {
              "@type": "type.googleapis.com/google.protobuf.Duration",
              "value": "1.212s"
            }
    v1FamilyStat:
      type: object
      properties:
        familyStatId:
          type: string
          readOnly: true
        familyVersionId:
          type: string
          description: The family version id of the family stat.
          readOnly: true
        name:
          type: string
          description: The name of the family stat.
        description:
          type: string
          description: The description of the family stat.
        sampleRate:
          type: number
          format: double
          description: The sample rate of the family stat (Hz).
        defaultChannelNames:
          type: array
          items:
            type: string
          description: >-
            Ordered list of channel names to include in the family stat.

            The first channel name is the primary channel name across all the
            family members.

            The remaining channel names are fallback channels or individual
            overrides when the primary channel

            is not available across all the family members.
        createdDate:
          type: string
          format: date-time
          readOnly: true
        modifiedDate:
          type: string
          format: date-time
          readOnly: true
        createdByUserId:
          type: string
          readOnly: true
        modifiedByUserId:
          type: string
          readOnly: true
        organizationId:
          type: string
          readOnly: true
      required:
        - familyStatId
        - familyVersionId
        - name
        - sampleRate
        - defaultChannelNames
        - createdDate
        - modifiedDate
        - createdByUserId
        - modifiedByUserId
        - organizationId
    v1FamilyStatExpression:
      type: object
      properties:
        familyStatExpressionId:
          type: string
          readOnly: true
        familyStatId:
          type: string
          readOnly: true
        avg:
          type: object
          properties: {}
        median:
          type: object
          properties: {}
        min:
          type: object
          properties: {}
        max:
          type: object
          properties: {}
        stdev:
          type: object
          properties: {}
        sum:
          type: object
          properties: {}
        inputCount:
          type: object
          properties: {}
        sigma:
          type: object
          properties: {}
          readOnly: true
      required:
        - familyStatExpressionId
        - familyStatId
    v1FamilyStatChannel:
      type: object
      properties:
        familyStatChannelId:
          type: string
          readOnly: true
        familyStatId:
          type: string
          readOnly: true
        channelId:
          type: string
          description: >-
            The channel id of the channel to include in the family stat given
            the list of channel names provided in the family stat.
        alignmentPointId:
          type: string
          description: >-
            Specific alignment point id of the family member / channel to
            include in the family stat.

            When creating a family stat with a new Family, this field should
            contain the temporary_id

            from FamilyAlignmentPoint.family_alignment_point_id. The service
            will resolve it to the actual alignment_point_id.

            When updating a family stat, this field must contain the actual
            alignment_point_id.

            This will be prevalent when multiple alignment points are supported
            for a given family member.
      required:
        - familyStatChannelId
        - familyStatId
        - channelId
        - alignmentPointId
    v1FamilyStatRange:
      type: object
      properties:
        familyStatRangeId:
          type: string
          readOnly: true
        familyStatId:
          type: string
          readOnly: true
        familyAlignmentId:
          type: string
          description: >-
            T-0 Alignment ID to align the data for stat calculation.

            When creating a family stat with a new Family, this field should
            contain the temporary_id

            from FamilyAlignment.family_alignment_id. The service will resolve
            it to the actual alignment ID.

            When updating a family stat, this field must contain the actual
            family_alignment_id.
        name:
          type: string
          description: Unique name for the family stat range.
          readOnly: true
        windowStart:
          $ref: '#/components/schemas/v1WindowType'
        windowEnd:
          $ref: '#/components/schemas/v1WindowType'
      required:
        - familyStatRangeId
        - familyStatId
        - familyAlignmentId
        - name
    v1WindowType:
      type: object
      properties:
        familyAlignmentId:
          type: string
          description: >-
            Alignment ID to use as the window boundary.

            When creating a family stat with a new Family, this field should
            contain the temporary_id

            from FamilyAlignment.family_alignment_id. Default to the window's
            T-0 alignment.

            The service will resolve it to the actual alignment ID.

            When updating a family stat, this field must contain the actual
            family_alignment_id.
        duration:
          type: string
          description: >-
            Duration relative to the alignment used to compare the data.
            Defaults to 0 seconds.
      description: >-
        WindowType represents a window boundary that can be either an alignment
        ID or a duration.
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````